Page MenuHomePhabricator

[Review] using Wheels for deployment (signing?)
Closed, ResolvedPublic

Description

In the Scoring-platform-team project, we're planning to do deployments using python wheels. I talked to @csteipp about it and he had some concerns about how we might implement "signing" on top of these wheels. Please review them and give us any notes on how you'd like to us to manage deployments using wheels.

See http://pythonwheels.com/ for discussion of how they work.
See http://git.wikimedia.org/summary/?r=research/ores/wheels.git for our repo of python wheels.

Currently, we're building the wheels on ores-compute-01.eqiad.wmflabs.

Event Timeline

Halfak created this task.Mar 17 2016, 5:58 PM
Restricted Application added subscribers: Malyacko, Aklapper. · View Herald TranscriptMar 17 2016, 5:58 PM
Halfak updated the task description. (Show Details)Mar 17 2016, 6:09 PM

Just added a better link to our wheels repo

dpatrick moved this task from Backlog to Scheduled on the Security-Team-Reviews board.
greg added a subscriber: greg.Jun 1 2016, 4:09 PM
hashar added a subscriber: hashar.Jun 1 2016, 4:10 PM
hashar added a comment.Jun 1 2016, 4:13 PM

Release-Engineering-Team-TODO (201907) has a few python software (Zuul, Nodepool) which we currently deploy with debian packages that embeds the dependencies. We are looking at using wheels like is being done for ORES.

The main advantage is no more having to build debian packages for each python modules. That has huge side effects when a software need a more recent version than one is available in Debian since that would mean doing a cluster wide upgrade which in turn can have impact on other software (like OpenStack on wmflabs).

Note the NodeJS based MediaWiki services are publishing the material in /vendor/ git repositories which are then used for deployment. So wheels in a git repo is the equivalent for python.

hashar closed this task as Resolved.Jun 16 2017, 11:15 AM

ORES is deployed using Python wheels.

sbassett moved this task from Backlog to Done on the Security-Team board.Jun 11 2019, 7:07 PM